Status (Apache Tomcat 8.5.84 API Documentation)

Package org.apache.tomcat.jni

## Class Status

- java.lang.Object
- - org.apache.tomcat.jni.Status

-     @Deprecated
      public class Status
      extends java.lang.Object

  Deprecated.
  The scope of the APR/Native Library will be reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
  Status
  Author:
    Mladen Turk

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `APR_ANONYMOUS` | Deprecated.
    `static int` | `APR_BADARG` | Deprecated.
    `static int` | `APR_BADCH` | Deprecated.
    `static int` | `APR_CHILD_DONE` | Deprecated.
    `static int` | `APR_CHILD_NOTDONE` | Deprecated.
    `static int` | `APR_DETACH` | Deprecated.
    `static int` | `APR_EABOVEROOT` | Deprecated.
    `static int` | `APR_EABSOLUTE` | Deprecated.
    `static int` | `APR_EBADDATE` | Deprecated.
    `static int` | `APR_EBADIP` | Deprecated.
    `static int` | `APR_EBADMASK` | Deprecated.
    `static int` | `APR_EBADPATH` | Deprecated.
    `static int` | `APR_EBUSY` | Deprecated.
    `static int` | `APR_EDSOOPEN` | Deprecated.
    `static int` | `APR_EGENERAL` | Deprecated.
    `static int` | `APR_EINCOMPLETE` | Deprecated.
    `static int` | `APR_EINIT` | Deprecated.
    `static int` | `APR_EINVALSOCK` | Deprecated.
    `static int` | `APR_EMISMATCH` | Deprecated.
    `static int` | `APR_ENODIR` | Deprecated.
    `static int` | `APR_ENOLOCK` | Deprecated.
    `static int` | `APR_ENOPOLL` | Deprecated.
    `static int` | `APR_ENOPOOL` | Deprecated.
    `static int` | `APR_ENOPROC` | Deprecated.
    `static int` | `APR_ENOSHMAVAIL` | Deprecated.
    `static int` | `APR_ENOSOCKET` | Deprecated.
    `static int` | `APR_ENOSTAT` | Deprecated. APR Error Values
    `static int` | `APR_ENOTENOUGHENTROPY` | Deprecated.
    `static int` | `APR_ENOTHDKEY` | Deprecated.
    `static int` | `APR_ENOTHREAD` | Deprecated.
    `static int` | `APR_ENOTIME` | Deprecated.
    `static int` | `APR_ENOTIMPL` | Deprecated.
    `static int` | `APR_EOF` | Deprecated.
    `static int` | `APR_EPATHWILD` | Deprecated.
    `static int` | `APR_EPROC_UNKNOWN` | Deprecated.
    `static int` | `APR_ERELATIVE` | Deprecated.
    `static int` | `APR_ESYMNOTFOUND` | Deprecated.
    `static int` | `APR_FILEBASED` | Deprecated.
    `static int` | `APR_INCHILD` | Deprecated. APR Status Values
    `static int` | `APR_INCOMPLETE` | Deprecated.
    `static int` | `APR_INPARENT` | Deprecated.
    `static int` | `APR_KEYBASED` | Deprecated.
    `static int` | `APR_NOTDETACH` | Deprecated.
    `static int` | `APR_NOTFOUND` | Deprecated.
    `static int` | `APR_OS_ERRSPACE_SIZE` | Deprecated. APR_OS_ERRSPACE_SIZE is the maximum number of errors you can fit into one of the error/status ranges below -- except for APR_OS_START_USERERR, which see.
    `static int` | `APR_OS_START_CANONERR` | Deprecated. APR_OS_START_CANONERR is where APR versions of errno values are defined on systems which don't have the corresponding errno.
    `static int` | `APR_OS_START_EAIERR` | Deprecated. APR_OS_START_EAIERR folds EAI_ error codes from getaddrinfo() into apr_status_t values.
    `static int` | `APR_OS_START_ERROR` | Deprecated. APR_OS_START_ERROR is where the APR specific error values start.
    `static int` | `APR_OS_START_STATUS` | Deprecated. APR_OS_START_STATUS is where the APR specific status codes start.
    `static int` | `APR_OS_START_SYSERR` | Deprecated. APR_OS_START_SYSERR folds platform-specific system error values into apr_status_t values.
    `static int` | `APR_OS_START_USEERR` | Deprecated. APR_OS_START_USEERR is obsolete, defined for compatibility only.
    `static int` | `APR_OS_START_USERERR` | Deprecated. APR_OS_START_USERERR are reserved for applications that use APR that layer their own error codes along with APR's.
    `static int` | `APR_SUCCESS` | Deprecated. no error.
    `static int` | `APR_TIMEUP` | Deprecated.
    `static int` | `EAGAIN` | Deprecated.
    `static int` | `EINPROGRESS` | Deprecated.
    `static int` | `EINTR` | Deprecated.
    `static int` | `ETIMEDOUT` | Deprecated.
    `static int` | `TIMEUP` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Status()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `APR_STATUS_IS_ANONYMOUS​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_BADARG​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_BADCH​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_CHILD_DONE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_CHILD_NOTDONE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_DETACH​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EABOVEROOT​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EABSOLUTE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EAGAIN​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EBADDATE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EBADIP​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EBADMASK​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EBADPATH​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EBUSY​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ECONNABORTED​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ECONNRESET​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EDSOPEN​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EGENERAL​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EINCOMPLETE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EINIT​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EINPROGRESS​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EINTR​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EINVAL​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EINVALSOCK​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EMISMATCH​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENODIR​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOLOCK​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOPOLL​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOPOOL​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOPROC​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOSHMAVAIL​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOSOCKET​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOSTAT​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOTENOUGHENTROPY​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOTHDKEY​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOTHREAD​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOTIME​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOTIMPL​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ENOTSOCK​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EOF​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EPATHWILD​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_EPROC_UNKNOWN​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ERELATIVE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ESYMNOTFOUND​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_ETIMEDOUT​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_FILEBASED​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_INCHILD​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_INCOMPLETE​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_INPARENT​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_KEYBASED​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_NOTDETACH​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_NOTFOUND​(int s)` | Deprecated.
    `static boolean` | `APR_STATUS_IS_TIMEUP​(int s)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APR_OS_START_ERROR

          public static final int APR_OS_START_ERROR

      Deprecated.
      APR_OS_START_ERROR is where the APR specific error values start.
      See Also:
        Constant Field Values

    - #### APR_OS_ERRSPACE_SIZE

          public static final int APR_OS_ERRSPACE_SIZE

      Deprecated.
      APR_OS_ERRSPACE_SIZE is the maximum number of errors you can fit into one of the error/status ranges below -- except for APR_OS_START_USERERR, which see.
      See Also:
        Constant Field Values

    - #### APR_OS_START_STATUS

          public static final int APR_OS_START_STATUS

      Deprecated.
      APR_OS_START_STATUS is where the APR specific status codes start.
      See Also:
        Constant Field Values

    - #### APR_OS_START_USERERR

          public static final int APR_OS_START_USERERR

      Deprecated.
      APR_OS_START_USERERR are reserved for applications that use APR that layer their own error codes along with APR's. Note that the error immediately following this one is set ten times farther away than usual, so that users of apr have a lot of room in which to declare custom error codes.
      See Also:
        Constant Field Values

    - #### APR_OS_START_USEERR

          public static final int APR_OS_START_USEERR

      Deprecated.
      APR_OS_START_USEERR is obsolete, defined for compatibility only. Use APR_OS_START_USERERR instead.
      See Also:
        Constant Field Values

    - #### APR_OS_START_CANONERR

          public static final int APR_OS_START_CANONERR

      Deprecated.
      APR_OS_START_CANONERR is where APR versions of errno values are defined on systems which don't have the corresponding errno.
      See Also:
        Constant Field Values

    - #### APR_OS_START_EAIERR

          public static final int APR_OS_START_EAIERR

      Deprecated.
      APR_OS_START_EAIERR folds EAI_ error codes from getaddrinfo() into apr_status_t values.
      See Also:
        Constant Field Values

    - #### APR_OS_START_SYSERR

          public static final int APR_OS_START_SYSERR

      Deprecated.
      APR_OS_START_SYSERR folds platform-specific system error values into apr_status_t values.
      See Also:
        Constant Field Values

    - #### APR_SUCCESS

          public static final int APR_SUCCESS

      Deprecated.
      no error.
      See Also:
        Constant Field Values

    - #### APR_ENOSTAT

          public static final int APR_ENOSTAT

      Deprecated.
      APR Error Values

           APR ERROR VALUES
           APR_ENOSTAT      APR was unable to perform a stat on the file
           APR_ENOPOOL      APR was not provided a pool with which to allocate memory
           APR_EBADDATE     APR was given an invalid date
           APR_EINVALSOCK   APR was given an invalid socket
           APR_ENOPROC      APR was not given a process structure
           APR_ENOTIME      APR was not given a time structure
           APR_ENODIR       APR was not given a directory structure
           APR_ENOLOCK      APR was not given a lock structure
           APR_ENOPOLL      APR was not given a poll structure
           APR_ENOSOCKET    APR was not given a socket
           APR_ENOTHREAD    APR was not given a thread structure
           APR_ENOTHDKEY    APR was not given a thread key structure
           APR_ENOSHMAVAIL  There is no more shared memory available
           APR_EDSOOPEN     APR was unable to open the dso object.  For more
                            information call apr_dso_error().
           APR_EGENERAL     General failure (specific information not available)
           APR_EBADIP       The specified IP address is invalid
           APR_EBADMASK     The specified netmask is invalid
           APR_ESYMNOTFOUND Could not find the requested symbol

      See Also:
        Constant Field Values

    - #### APR_ENOPOOL

          public static final int APR_ENOPOOL

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EBADDATE

          public static final int APR_EBADDATE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EINVALSOCK

          public static final int APR_EINVALSOCK

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOPROC

          public static final int APR_ENOPROC

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOTIME

          public static final int APR_ENOTIME

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENODIR

          public static final int APR_ENODIR

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOLOCK

          public static final int APR_ENOLOCK

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOPOLL

          public static final int APR_ENOPOLL

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOSOCKET

          public static final int APR_ENOSOCKET

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOTHREAD

          public static final int APR_ENOTHREAD

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOTHDKEY

          public static final int APR_ENOTHDKEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EGENERAL

          public static final int APR_EGENERAL

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOSHMAVAIL

          public static final int APR_ENOSHMAVAIL

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EBADIP

          public static final int APR_EBADIP

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EBADMASK

          public static final int APR_EBADMASK

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EDSOOPEN

          public static final int APR_EDSOOPEN

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EABSOLUTE

          public static final int APR_EABSOLUTE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ERELATIVE

          public static final int APR_ERELATIVE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EINCOMPLETE

          public static final int APR_EINCOMPLETE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EABOVEROOT

          public static final int APR_EABOVEROOT

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EBADPATH

          public static final int APR_EBADPATH

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EPATHWILD

          public static final int APR_EPATHWILD

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ESYMNOTFOUND

          public static final int APR_ESYMNOTFOUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EPROC_UNKNOWN

          public static final int APR_EPROC_UNKNOWN

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOTENOUGHENTROPY

          public static final int APR_ENOTENOUGHENTROPY

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_INCHILD

          public static final int APR_INCHILD

      Deprecated.
      APR Status Values

           APR STATUS VALUES
           APR_INCHILD        Program is currently executing in the child
           APR_INPARENT       Program is currently executing in the parent
           APR_DETACH         The thread is detached
           APR_NOTDETACH      The thread is not detached
           APR_CHILD_DONE     The child has finished executing
           APR_CHILD_NOTDONE  The child has not finished executing
           APR_TIMEUP         The operation did not finish before the timeout
           APR_INCOMPLETE     The operation was incomplete although some processing
                              was performed and the results are partially valid
           APR_BADCH          Getopt found an option not in the option string
           APR_BADARG         Getopt found an option that is missing an argument
                              and an argument was specified in the option string
           APR_EOF            APR has encountered the end of the file
           APR_NOTFOUND       APR was unable to find the socket in the poll structure
           APR_ANONYMOUS      APR is using anonymous shared memory
           APR_FILEBASED      APR is using a file name as the key to the shared memory
           APR_KEYBASED       APR is using a shared key as the key to the shared memory
           APR_EINIT          Initializer value.  If no option has been found, but
                              the status variable requires a value, this should be used
           APR_ENOTIMPL       The APR function has not been implemented on this
                              platform, either because nobody has gotten to it yet,
                              or the function is impossible on this platform.
           APR_EMISMATCH      Two passwords do not match.
           APR_EBUSY          The given lock was busy.

      See Also:
        Constant Field Values

    - #### APR_INPARENT

          public static final int APR_INPARENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_DETACH

          public static final int APR_DETACH

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_NOTDETACH

          public static final int APR_NOTDETACH

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_CHILD_DONE

          public static final int APR_CHILD_DONE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_CHILD_NOTDONE

          public static final int APR_CHILD_NOTDONE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_TIMEUP

          public static final int APR_TIMEUP

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_INCOMPLETE

          public static final int APR_INCOMPLETE

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_BADCH

          public static final int APR_BADCH

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_BADARG

          public static final int APR_BADARG

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EOF

          public static final int APR_EOF

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_NOTFOUND

          public static final int APR_NOTFOUND

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ANONYMOUS

          public static final int APR_ANONYMOUS

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_FILEBASED

          public static final int APR_FILEBASED

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_KEYBASED

          public static final int APR_KEYBASED

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EINIT

          public static final int APR_EINIT

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_ENOTIMPL

          public static final int APR_ENOTIMPL

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EMISMATCH

          public static final int APR_EMISMATCH

      Deprecated.
      See Also:
        Constant Field Values

    - #### APR_EBUSY

          public static final int APR_EBUSY

      Deprecated.
      See Also:
        Constant Field Values

    - #### TIMEUP

          public static final int TIMEUP

      Deprecated.
      See Also:
        Constant Field Values

    - #### EAGAIN

          public static final int EAGAIN

      Deprecated.
      See Also:
        Constant Field Values

    - #### EINTR

          public static final int EINTR

      Deprecated.
      See Also:
        Constant Field Values

    - #### EINPROGRESS

          public static final int EINPROGRESS

      Deprecated.
      See Also:
        Constant Field Values

    - #### ETIMEDOUT

          public static final int ETIMEDOUT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Status

          public Status()

      Deprecated.

  - ### Method Detail

    - #### APR_STATUS_IS_ENOSTAT

          public static final boolean APR_STATUS_IS_ENOSTAT​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOPOOL

          public static final boolean APR_STATUS_IS_ENOPOOL​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EBADDATE

          public static final boolean APR_STATUS_IS_EBADDATE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EINVALSOCK

          public static final boolean APR_STATUS_IS_EINVALSOCK​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOPROC

          public static final boolean APR_STATUS_IS_ENOPROC​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOTIME

          public static final boolean APR_STATUS_IS_ENOTIME​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENODIR

          public static final boolean APR_STATUS_IS_ENODIR​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOLOCK

          public static final boolean APR_STATUS_IS_ENOLOCK​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOPOLL

          public static final boolean APR_STATUS_IS_ENOPOLL​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOSOCKET

          public static final boolean APR_STATUS_IS_ENOSOCKET​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOTHREAD

          public static final boolean APR_STATUS_IS_ENOTHREAD​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOTHDKEY

          public static final boolean APR_STATUS_IS_ENOTHDKEY​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EGENERAL

          public static final boolean APR_STATUS_IS_EGENERAL​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOSHMAVAIL

          public static final boolean APR_STATUS_IS_ENOSHMAVAIL​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EBADIP

          public static final boolean APR_STATUS_IS_EBADIP​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EBADMASK

          public static final boolean APR_STATUS_IS_EBADMASK​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EDSOPEN

          public static final boolean APR_STATUS_IS_EDSOPEN​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EABSOLUTE

          public static final boolean APR_STATUS_IS_EABSOLUTE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ERELATIVE

          public static final boolean APR_STATUS_IS_ERELATIVE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EINCOMPLETE

          public static final boolean APR_STATUS_IS_EINCOMPLETE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EABOVEROOT

          public static final boolean APR_STATUS_IS_EABOVEROOT​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EBADPATH

          public static final boolean APR_STATUS_IS_EBADPATH​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EPATHWILD

          public static final boolean APR_STATUS_IS_EPATHWILD​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ESYMNOTFOUND

          public static final boolean APR_STATUS_IS_ESYMNOTFOUND​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EPROC_UNKNOWN

          public static final boolean APR_STATUS_IS_EPROC_UNKNOWN​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOTENOUGHENTROPY

          public static final boolean APR_STATUS_IS_ENOTENOUGHENTROPY​(int s)

      Deprecated.

    - #### APR_STATUS_IS_INCHILD

          public static final boolean APR_STATUS_IS_INCHILD​(int s)

      Deprecated.

    - #### APR_STATUS_IS_INPARENT

          public static final boolean APR_STATUS_IS_INPARENT​(int s)

      Deprecated.

    - #### APR_STATUS_IS_DETACH

          public static final boolean APR_STATUS_IS_DETACH​(int s)

      Deprecated.

    - #### APR_STATUS_IS_NOTDETACH

          public static final boolean APR_STATUS_IS_NOTDETACH​(int s)

      Deprecated.

    - #### APR_STATUS_IS_CHILD_DONE

          public static final boolean APR_STATUS_IS_CHILD_DONE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_CHILD_NOTDONE

          public static final boolean APR_STATUS_IS_CHILD_NOTDONE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_TIMEUP

          public static final boolean APR_STATUS_IS_TIMEUP​(int s)

      Deprecated.

    - #### APR_STATUS_IS_INCOMPLETE

          public static final boolean APR_STATUS_IS_INCOMPLETE​(int s)

      Deprecated.

    - #### APR_STATUS_IS_BADCH

          public static final boolean APR_STATUS_IS_BADCH​(int s)

      Deprecated.

    - #### APR_STATUS_IS_BADARG

          public static final boolean APR_STATUS_IS_BADARG​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EOF

          public static final boolean APR_STATUS_IS_EOF​(int s)

      Deprecated.

    - #### APR_STATUS_IS_NOTFOUND

          public static final boolean APR_STATUS_IS_NOTFOUND​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ANONYMOUS

          public static final boolean APR_STATUS_IS_ANONYMOUS​(int s)

      Deprecated.

    - #### APR_STATUS_IS_FILEBASED

          public static final boolean APR_STATUS_IS_FILEBASED​(int s)

      Deprecated.

    - #### APR_STATUS_IS_KEYBASED

          public static final boolean APR_STATUS_IS_KEYBASED​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EINIT

          public static final boolean APR_STATUS_IS_EINIT​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOTIMPL

          public static final boolean APR_STATUS_IS_ENOTIMPL​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EMISMATCH

          public static final boolean APR_STATUS_IS_EMISMATCH​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EBUSY

          public static final boolean APR_STATUS_IS_EBUSY​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EAGAIN

          public static final boolean APR_STATUS_IS_EAGAIN​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ETIMEDOUT

          public static final boolean APR_STATUS_IS_ETIMEDOUT​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ECONNABORTED

          public static final boolean APR_STATUS_IS_ECONNABORTED​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ECONNRESET

          public static final boolean APR_STATUS_IS_ECONNRESET​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EINPROGRESS

          public static final boolean APR_STATUS_IS_EINPROGRESS​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EINTR

          public static final boolean APR_STATUS_IS_EINTR​(int s)

      Deprecated.

    - #### APR_STATUS_IS_ENOTSOCK

          public static final boolean APR_STATUS_IS_ENOTSOCK​(int s)

      Deprecated.

    - #### APR_STATUS_IS_EINVAL

          public static final boolean APR_STATUS_IS_EINVAL​(int s)

      Deprecated.